package eu.mhsl.minenet.minigames.message.component;


public class NamespacedTranslatable {
    private final String namespace;

    public NamespacedTranslatable(String namespace) {
        this.namespace = namespace;
    }

    public TranslatedComponent get(String mapId) {
        return TranslatedComponent.byId(namespace + mapId);
    }
}
